Page MenuHomePhabricator

Make version parameter persistent between the dashboard and the translation view
Closed, ResolvedPublic

Description

After T187770, we've got translation drafts to open with the same version of the editor with which they were started. So, when users starts a new translation, default version kicks in (that is CX1 for every environment except cx2-testing) and user can change the version manually by adding &version=2 to the URL.
After that, if user opens unpublished translation again, same version of CX will be used.

If user types &version=2 on dashboard, starting a new translation will not respect that choice and the default version will be used instead.

Event Timeline

Change 431616 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Make version parameter persistent

https://gerrit.wikimedia.org/r/431616

Change 431616 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Make version parameter persistent

https://gerrit.wikimedia.org/r/431616

Petar.petkovic moved this task from Backlog to QA on the Language-2018-Apr-June board.
Petar.petkovic triaged this task as Low priority.
Etonkovidova added a subscriber: Etonkovidova.EditedMay 19 2018, 3:07 PM

Checked on testwiki (wmf.4). The &version=2 is persistent for starting translation and for loading saved translations.

Etonkovidova closed this task as Resolved.May 19 2018, 4:31 PM
Vvjjkkii renamed this task from Make version parameter persistent between the dashboard and the translation view to lgdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Petar.petkovic as the assignee of this task.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Arrbee renamed this task from lgdaaaaaaa to Make version parameter persistent between the dashboard and the translation view.Jul 2 2018, 1:30 PM
Arrbee closed this task as Resolved.
Arrbee assigned this task to Petar.petkovic.
Arrbee lowered the priority of this task from High to Low.
Arrbee updated the task description. (Show Details)